--- inkscape-0.48.0/configure.ac.orig	2010-10-26 21:22:06.000000000 +0200
+++ inkscape-0.48.0/configure.ac	2010-10-26 21:33:39.000000000 +0200
@@ -433,10 +433,15 @@
 fi
 AM_CONDITIONAL(INKJAR, test "$with_ij" = "yes")
 
+AC_ARG_WITH([gtkspell],
+	AS_HELP_STRING([--without-gtkspell], [disable gtk spelling widget]),[with_gtkspell=$withval], [with_gtkspell=yes])
+
 ink_spell_pkg=
-if pkg-config --exists gtkspell-2.0; then
-	ink_spell_pkg=gtkspell-2.0
-	AC_DEFINE(WITH_GTKSPELL, 1, [enable gtk spelling widget])
+if test "x$with_gtkspell" = "xyes"; then
+	if pkg-config --exists gtkspell-2.0; then
+		ink_spell_pkg=gtkspell-2.0
+		AC_DEFINE(WITH_GTKSPELL, 1, [enable gtk spelling widget])
+	fi
 fi
 
 dnl ******************************
@@ -758,12 +763,17 @@
 dnl **************************
 dnl Check for aspell 
 dnl ******************************
-AC_CHECK_LIB(aspell, new_aspell_config, [AC_CHECK_HEADER(aspell.h, aspell_ok=yes, aspell_ok=no)], aspell_ok=no, -lz -lm)
-if test "x$aspell_ok" = "xyes"; then
-	AC_DEFINE(HAVE_ASPELL, 1, [Use aspell for built-in spellchecker])
-  INKSCAPE_LIBS="$INKSCAPE_LIBS -laspell"
-else
-	AC_MSG_CHECKING([Aspell not found, spell checker will be disabled])
+AC_ARG_WITH([aspell],
+	AS_HELP_STRING([--without-aspell], [disable aspell spell checker]),[with_aspell=$withval], [with_aspell=yes])
+
+if test "x$with_aspell" = "xyes"; then
+	AC_CHECK_LIB(aspell, new_aspell_config, [AC_CHECK_HEADER(aspell.h, aspell_ok=yes, aspell_ok=no)], aspell_ok=no, -lz -lm)
+	if test "x$aspell_ok" = "xyes"; then
+		AC_DEFINE(HAVE_ASPELL, 1, [Use aspell for built-in spellchecker])
+		INKSCAPE_LIBS="$INKSCAPE_LIBS -laspell"
+	else
+		AC_MSG_CHECKING([Aspell not found, spell checker will be disabled])
+	fi
 fi
 
 dnl Check for bind_textdomain_codeset, including -lintl if GLib brings it in.
